{*********************************************************************************
  unit                 MediaDialogs.pas

  version              1.00,   26 Feb 2000;

  Description:         TMediaOpenDialog and TMediaSaveDialog - dialog components
                       with preview feature for all supported media file types
                       - wav, mpg, avi etc. There is no difference from usage
                       of standart components TOpenDialog and TSaveDialog.
                       I am surprised very much, why Borland (Inprice) didnt
                       developed such components themselfs;

  Compiler:            Delphi 3, 2, 4 (may be 1 and 5, I have not tryed)

  Conditions of usage  Freeware, use at own risk. Please report faults or
                       comments to the author. If you wish to support the
                       author somehow, drop me a letter.

  Author               Urry Crashnikov, Media Programming Group
                       zavr@gmx.net,
                       zavr@tomcat.ru,
                       http://programmer.da.ru


**********************************************************************************}
unit MediaDialogs;

interface

uses
  Classes, Dialogs, CommDlg;

type
  TMediaOpenDialog = class(TOpenDialog)
  public
    function Execute: Boolean; override;
end;

  TMediaSaveDialog = class(TOpenDialog)
  public
    function Execute: Boolean; override;
end;
LPOPENFILENAME = ^TOpenFilename;

function GetOpenFileNamePreview(lpofn: LPOPENFILENAME): boolean; stdcall;
function GetSaveFileNamePreview(lpofn: LPOPENFILENAME): boolean; stdcall;
procedure Register;

implementation
function GetOpenFileNamePreview; external 'MSVFW32.DLL' name 'GetOpenFileNamePreview';
function GetSaveFileNamePreview; external 'MSVFW32.DLL' name 'GetSaveFileNamePreviewA';
procedure Register;
begin
  RegisterComponents('MPG', [TMediaSaveDialog, TMediaOpenDialog]);
end;

function TMediaSaveDialog.Execute: Boolean;
begin
  Result := DoExecute(@GetSaveFileNamePreview);
end;

function TMediaOpenDialog.Execute: Boolean;
begin
 Result := DoExecute(@GetOpenFileNamePreview);
end;

end.
